#!/bin/bash -x

# Copyright(C) 2005, International Business Machines Corporation.  All
# Rights Reserved.

# Usage: ./build_smbtorture.sh
#
# This script checks if smbtorture is installed; if not, it checks it out,
# builds, and installs it.

# Location of svn
SVN=/usr/local/bin/svn

# Build smbtorture if necessary
if [ ! -f /usr/local/samba/bin/smbtorture ]; then
    $SVN co svn://svnanon.samba.org/samba/branches/SAMBA_4_0 samba_testing
    cd samba_testing/source
    ./autogen.sh
    ./configure
    make basics
    make bin/smbtorture
    if [ ! -f /usr/local/samba ]; then
        mkdir /usr/local/samba
    fi
    if [ ! -f /usr/local/samba/bin ]; then
        mkdir /usr/local/samba/bin
    fi
    cp bin/smbtorture /usr/local/samba/bin/smbtorture
    cd ../..
    rm -rf samba_testing
else
    version=`/usr/local/samba/bin/smbtorture -V`
    version=`echo $version | awk '{print $2}'`
    version=`echo $version | awk -F . '{print $1}'`
    if [ $version != 4 ]; then
        build=1
    fi
fi

# Exit
exit 0
