#!/usr/bin/perl

# Copyright(C) 2005, International Business Machines Corporation.  All
# Rights Reserved.

# Usage: stop_print_server.pl -l $logfile
#
# This script is used to stop the virtual print server on a remote machine.

use Getopt::Std;
use lib "../util";
use test_tools;

# Declare Options hash
my %Options;

# Get Options
my $ok = getopts('l:', \%Options);
if ((!$ok)) {
    usage();
    exit(1);
}
$logfile = $Options{'l'};
if (!$logfile) {
    $logfile = "/dev/null";
}
open_logfile;

# Stop the virtual printer process
my $pid = `ps -C start_print_server --no-headers -o pid`;
system_logged("kill -9 $pid");

# Delete the virtual printer
delete_printer;

# End of script
close_logfile;
exit(0);

# ================
# Usage subroutine
# ================

sub usage {
    print "Usage: $0 -l <logfile>\n";
}
